---
title: Announcing Databend v0.7.0 - Deploy easier, query faster
description: This is my first post on Docusaurus 2.
slug: databend-0-7-0-release
authors:
- name: BohuTANG
  url: https://github.com/BohuTANG
  image_url: https://github.com/BohuTANG.png
  tags: [databend, v0.7.0]
---

**Continuing breaking ground, activate your object storage for big data analytics in sub-second!**

<!--truncate-->

Thank you to everyone for the work over the past 4 months!

With our latest release, Databend v0.7.0, this release includes several new user-facing features, performance optimizations, and many other improvements, activate your object storage for big data analytics!

## Highlights

0.7.0 release brings Databend architecture to a stable stage

* Simple primitive data type framework
* New Pull&Push-Based Processor framework
* Git-Like table format with snapshot transaction isolation
* Announce [OpenDAL](https://github.com/datafuselabs/opendal) for object storage data access
* Announce [OpenRaft](https://github.com/datafuselabs/openraft) to improve raft as the next generation consensus protocol

## New Features

* [Query]  Add DateTime64 data type
* [Query]  Add Semi-Structured variant data type
* [Query]  Add `group by` nullable column
* [Query]  Add filter push-down for `read datasource`
* [Query]  Add function monotonicity check
* [Query]  Add support for Java/Python/Golang client and JDBC driver
* [Query]  Add support for github external datasource
* [Query]  Add support for `CREATE TABLE [IF NOT EXISTS] [db.]table LIKE [db.]origin_table AS SELECT query`
* [Query]  Add support for `Copy INTO <table> from external location`
* [Query]  Add support for `COPY INTO <table> FROM internal/external stage` 
* [Query]  Add support for `ALTER TABLE [ IF EXISTS ] <name> RENAME TO <new_table_name>`
* [Query]  Add support for `[NOT] IN (a, b, c, ...) InList`
* [Query]  Add user defined functions
* [Query]  Add `system.query_log` for multi-tenant query statistics
* [Query]  Add `CALL` procedure for administrator operation
* [Query]  Add support for CSV/Parquet/Json file streaming load
* [Query]  Add embed markdown dos into `system.functions`
* [Query]  Add support for config file format json, yaml, toml
* [Query]  Add support for column specify an expression as default value
* [User]   Add support for basic RBAC privileges
* [Storage]  Add database_id/table_id to data file prefix
* [Storage]  Add version to storage layout for upgrade
* [Meta]  Add support for multi tenant
* [Meta] Replace arrow flight service with gRPC

## Improvements
* [Query] Change Pull-Based to New Pull&Push-Based processor
* [Query]  Improve parallel write performance
* [Doc] Better documentation https://databend.rs

## Reference

* [How to Deploy Databend](https://databend.rs/doc/deploy)
* [How to Load Data to Databend](https://databend.rs/doc/load-data)
* [Benchmark Reports](https://databend.rs/doc/performance)
* [Databend v0.7.0 Release Notes](https://github.com/datafuselabs/databend/releases/tag/v0.7.0-nightly)
